List libraries
My Library and the group libraries your account belongs to, with their IDs.
GET https://cotlet.dev/api/v1/zotero/libraries
read
Returns your personal library first, then each group library with its ID and name. Use the ID as the library parameter of the other read tools. The write tools work on My Library only.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/zotero/libraries \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("zotero", "list_libraries") const result = await cotlet.call('zotero', 'list_libraries'); cotlet call zotero list_libraries Example response
{
"libraries": [
{
"library": "me",
"name": "My Library",
"type": "personal"
},
{
"library": "4455821",
"name": "Reading group 2026",
"type": "group"
}
]
}